As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 549576 - Remove ::MaybeCC from XMLHttpRequest
: Remove ::MaybeCC from XMLHttpRequest
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Olli Pettay [:smaug] (review queue closed until backlog cleared)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 549533
  Show dependency treegraph
 
Reported: 2010-03-02 02:09 PST by Olli Pettay [:smaug] (review queue closed until backlog cleared)
Modified: 2010-03-10 03:29 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.82 KB, patch)
2010-03-02 09:23 PST, Olli Pettay [:smaug] (review queue closed until backlog cleared)
peterv: review+
Details | Diff | Splinter Review

Description User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2010-03-02 02:09:53 PST
See https://bugzilla.mozilla.org/show_bug.cgi?id=549533#c12
Comment 1 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2010-03-02 09:23:31 PST
Created attachment 429760 [details] [diff] [review]
patch

Not sure if this helps much with Gmail.
I had Gmail open in 5 tabs and when idle CC runs every 40s with or without the 
patch.
But the likelihood to run CC when gmail page is being constructed should be lower,
since MaybeCC isn't called because of all those XHR loads Gmail has.
Of course not calling CC so often may lead to use more memory.
Comment 2 User image Peter Van der Beken [:peterv] 2010-03-09 07:40:31 PST
Comment on attachment 429760 [details] [diff] [review]
patch

Hopefully this won't lead to too much bloat in between CC runs.
Comment 3 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2010-03-10 03:29:57 PST
http://hg.mozilla.org/mozilla-central/rev/50fe27903561

Note You need to log in before you can comment on or make changes to this bug.